| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::AnimatedClearButton Class Reference
Inheritance diagram for Digikam::AnimatedClearButton:

## Public Slots
void | animateVisible (bool visible)
| Set visible, possibly with animation.
void | setDirectlyVisible (bool visible)
| Set visible without animation.
void | slotPixmapEnabled (bool b)
| Set enabled state for drawing the pixmap.

## Signals
void | clicked ()
void | visibleChanged (bool v)

## Public Member Functions
| AnimatedClearButton (QWidget *const parent=nullptr)
QPixmap | pixmap () const
void | setPixmap (const QPixmap &p)
void | setShallBeShown (bool show)
| Sets a primary condition for the button to be shown.
QSize | sizeHint () const override
void | stayVisibleWhenAnimatedOut (bool stayVisible)
| This parameter determines the behavior when the animation to hide the widget has finished: If stayVisible is true, the widget remains visible, but paints nothing.

## Protected Slots
void | slotUpdateAnimationSettings ()
void | slotVisibleChanged ()

## Protected Member Functions
void | mouseReleaseEvent (QMouseEvent *event) override
void | paintEvent (QPaintEvent *event) override

## Member Function Documentation

## ◆ setShallBeShown()

void Digikam::AnimatedClearButton::setShallBeShown | ( | bool | show | ) |

If false, animateVisible() will have no effect.

## ◆ stayVisibleWhenAnimatedOut()

void Digikam::AnimatedClearButton::stayVisibleWhenAnimatedOut | ( | bool | stayVisible | ) |

If stayVisible is false, setVisible(false) is called, which removes the widget for layouting etc. Default: false